﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using BuiltToRoam.Data.SQLite;

namespace SQLiteWrapperUWP_PCL_BasicExample.Core.Models.Database
{
    public class PersonEntity : BaseEntity, INotifyPropertyChanged
    {
        public string Name { get; set; }
        public string Surname { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;

        public void NotifyPropertyChanged([CallerMemberName] String propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
