﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BuiltToRoam.Data.SQLite.Database;
using SQLite.Net;
using SQLiteWrapperUWP_PCL_BasicExample.Core.Models.Database;

namespace SQLiteWrapperUWP_PCL_BasicExample.Core.Services
{
    public class DatabaseService : BaseDatabaseService
    {
        public DatabaseService(ISqlitePlatformProvider sqlitePlatformProvider) : base(sqlitePlatformProvider)
        {
            
        }

        public override SQLiteConnection CreateAndOpenDb(string nativeDbPath)
        {
            var dbConnection = base.CreateAndOpenDb(nativeDbPath);
            dbConnection.CreateTable<PersonEntity>();

            return dbConnection;
        }
    }
}
