﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BuiltToRoam.Data.SQLite.Database;
using BuiltToRoam.Data.SQLite.Repository;
using SQLite.Net;
using SQLiteWrapperUWP_PCL_BasicExample.Core.Models.Database;
using SQLiteWrapperUWP_PCL_BasicExample.Core.Services.Interfaces;

namespace SQLiteWrapperUWP_PCL_BasicExample.Core.Services
{
    public class PersonService : IPersonService
    {
        private SQLiteConnection dbConnection;

        public PersonService(SQLiteConnection dbConnection)
        {
            this.dbConnection = dbConnection;
        }

        public void Insert(PersonEntity person)
        {
            var a = new BaseRepository<PersonEntity>(dbConnection);
            using (var personRepo = new BaseRepository<PersonEntity>(dbConnection))
            {
                personRepo.Insert(person);
            }
        }

        public List<PersonEntity> RetrieveAll()
        {
            using (var personRepo = new BaseRepository<PersonEntity>(dbConnection))
            {
                return personRepo.Table.ToList();
            }
        }
    }
}
